Draws an arc

- « ImagickDraw::annotation

- ImagickDraw::bezier »

- PHP Manual
- ImagickDraw
- Draws an arc

# ImagickDraw::arc

(PECL imagick 2, PECL imagick 3)

ImagickDraw::arc — Draws an arc

### Description

public ImagickDraw::arc(
float `$sx`,
float `$sy`,
float `$ex`,
float `$ey`,
float `$sd`,
float `$ed`
): bool
Warning

This function is currently not documented; only its argument list is available.

Draws an arc falling within a specified bounding rectangle on the image.

### Parameters

`sx`

  Starting x ordinate of bounding rectangle

`sy`

  starting y ordinate of bounding rectangle

`ex`

  ending x ordinate of bounding rectangle

`ey`

  ending y ordinate of bounding rectangle

`sd`

  starting degrees of rotation

`ed`

  ending degrees of rotation

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::arc() example

    <?php
    function arc($strokeColor, $fillColor, $backgroundColor, $startX, $startY, $endX, $endY, $startAngle, $endAngle) {

        //Create a ImagickDraw object to draw into.
        $draw = new \ImagickDraw();
        $draw->setStrokeWidth(1);
        $draw->setStrokeColor($strokeColor);
        $draw->setFillColor($fillColor);
        $draw->setStrokeWidth(2);

        $draw->arc($startX, $startY, $endX, $endY, $startAngle, $endAngle);

        //Create an image object which the draw commands can be rendered into
        $image = new \Imagick();
        $image->newImage(IMAGE_WIDTH, IMAGE_HEIGHT, $backgroundColor);
        $image->setImageFormat("png");

        //Render the draw commands in the ImagickDraw object
        //into the image.
        $image->drawImage($draw);

        //Send the image to the browser
        header("Content-Type: image/png");
        echo $image->getImageBlob();
    }

    ?>